# Interface IWorkbenchActionConstants

All Known Subinterfaces:
  `ITextEditorActionConstants`

public interface IWorkbenchActionConstants
Action ids for standard actions, groups in the workbench menu bar, and global actions.

This interface contains constants only; it is not intended to be implemented or extended.

### Standard menus

- File menu (`M_FILE`)
- Edit menu (`M_EDIT`)
- Window menu (`M_WINDOW`)
- Help menu (`M_HELP`)

### Standard group for adding top level menus

- Extra top level menu group (`MB_ADDITIONS`)

### Global actions

- Undo (`UNDO`)
- Redo (`REDO`)
- Cut (`CUT`)
- Copy (`COPY`)
- Paste (`PASTE`)
- Delete (`DELETE`)
- Find (`FIND`)
- Select All (`SELECT_ALL`)
- Add Bookmark (`BOOKMARK`)

### Standard File menu actions

- Start group (`FILE_START`)
- End group (`FILE_END`)
- New action (`NEW`)
- Extra New-like action group (`NEW_EXT`)
- Close action (`CLOSE`)
- Close All action (`CLOSE_ALL`)
- Extra Close-like action group (`CLOSE_EXT`)
- Save action (`SAVE`)
- Save As action (`SAVE_AS`)
- Save All action (`SAVE_ALL`)
- Extra Save-like action group (`SAVE_EXT`)
- Import action (`IMPORT`)
- Export action (`EXPORT`)
- Extra Import-like action group (`IMPORT_EXT`)
- Quit action (`QUIT`)

### Standard Edit menu actions

- Start group (`EDIT_START`)
- End group (`EDIT_END`)
- Undo global action (`UNDO`)
- Redo global action (`REDO`)
- Extra Undo-like action group (`UNDO_EXT`)
- Cut global action (`CUT`)
- Copy global action (`COPY`)
- Paste global action (`PASTE`)
- Extra Cut-like action group (`CUT_EXT`)
- Delete global action (`DELETE`)
- Find global action (`FIND`)
- Select All global action (`SELECT_ALL`)
- Bookmark global action (`BOOKMARK`)

### Standard Perspective menu actions

- Extra Perspective-like action group (`VIEW_EXT`)

### Standard Workbench menu actions

- Start group (`WB_START`)
- End group (`WB_END`)
- Extra Build-like action group (`BUILD_EXT`)
- Build action (`BUILD`)
- Rebuild All action (`REBUILD_ALL`)

### Standard Window menu actions

- Extra Window-like action group (`WINDOW_EXT`)

### Standard Help menu actions

- Start group (`HELP_START`)
- End group (`HELP_END`)
- About action (`ABOUT`)

### Standard pop-up menu groups

- Managing group (`GROUP_MANAGING`)
- Reorganize group (`GROUP_REORGANIZE`)
- Add group (`GROUP_ADD`)
- File group (`GROUP_FILE`)

To hook a global action handler, a view should use the following code: `IAction copyHandler = ...; view.getSite().getActionBars().setGlobalActionHandler( IWorkbenchActionConstants.COPY, copyHandler);` For editors, this should be done in the `IEditorActionBarContributor`.

See Also:
  - Note: many of the remaining non-deprecated constants here are IDE-specific and should be deprecated and moved to a constant pool at the IDE layer (e.g. IIDEActionConstants).
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ABOUT`
Deprecated.
in 3.0.
`static final String`
`ADD_EXT`
Edit menu: name of group for extra Add-like actions (value `"add.ext"`).
`static final String`
`ADD_TASK`
Deprecated.
in 3.0.
`static final String`
`BACK`
Deprecated.
in 3.0.
`static final String`
`BOOKMARK`
Deprecated.
in 3.0.
`static final String`
`BUILD`
Deprecated.
in 3.0.
`static final String`
`BUILD_EXT`
Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).
`static final String`
`BUILD_GROUP`
Group id for build group.
`static final String`
`BUILD_PROJECT`
Deprecated.
in 3.0.
`static final String`
`CLOSE`
Deprecated.
in 3.0.
`static final String`
`CLOSE_ALL`
Deprecated.
in 3.0.
`static final String`
`CLOSE_EXT`
File menu: name of group for extra Close-like actions (value `"close.ext"`).
`static final String`
`CLOSE_PROJECT`
Deprecated.
in 3.0.
`static final String`
`COPY`
Deprecated.
in 3.0.
`static final String`
`CUT`
Deprecated.
in 3.0.
`static final String`
`CUT_EXT`
Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).
`static final String`
`DELETE`
Deprecated.
in 3.0.
`static final String`
`EDIT_END`
Edit menu: name of group for end of menu (value `"editEnd"`).
`static final String`
`EDIT_GROUP`
Group id for build group.
`static final String`
`EDIT_START`
Edit menu: name of group for start of menu (value `"editStart"`).
`static final String`
`EXPORT`
Deprecated.
in 3.0.
`static final String`
`FILE_END`
File menu: name of group for end of menu (value `"fileEnd"`).
`static final String`
`FILE_START`
File menu: name of group for start of menu (value `"fileStart"`).
`static final String`
`FIND`
Deprecated.
in 3.0.
`static final String`
`FIND_EXT`
Edit menu: name of group for extra Find-like actions (value `"find.ext"`).
`static final String`
`FORWARD`
Deprecated.
in 3.0.
`static final String[]`
`GLOBAL_ACTIONS`
Deprecated.
in 3.0
`static final String`
`GO_INTO`
Navigate menu: name of standard Go Into global action (value `"goInto"`).
`static final String`
`GO_TO`
Navigate menu: name of standard Go To submenu (value `"goTo"`).
`static final String`
`GO_TO_RESOURCE`
Navigate menu: name of standard Go To Resource global action (value `"goToResource"`).
`static final String`
`GROUP_ADD`
Pop-up menu: name of group for Add actions (value `"group.add"`).
`static final String`
`GROUP_APP`
Coolbar: name of group for application created actions
`static final String`
`GROUP_EDITOR`
Toolbar: name of group for editor action bars.
`static final String`
`GROUP_FILE`
Pop-up menu: name of group for File actions (value `"group.file"`).
`static final String`
`GROUP_HELP`
Coolbar: name of group for help actions and contributions
`static final String`
`GROUP_MANAGING`
Pop-up menu: name of group for Managing actions (value `"group.managing"`).
`static final String`
`GROUP_REORGANIZE`
Pop-up menu: name of group for Reorganize actions (value `"group.reorganize"`).
`static final String`
`GROUP_SHOW_IN`
Pop-up menu: name of group for Show In actions (value `"group.showIn"`).
`static final String`
`HELP_END`
Help menu: name of group for end of menu (value `"helpEnd"`).
`static final String`
`HELP_START`
Help menu: name of group for start of menu (value `"helpStart"`).
`static final String`
`HISTORY_GROUP`
Group id for history toolbar group.
`static final String`
`IMPORT`
Deprecated.
in 3.0.
`static final String`
`IMPORT_EXT`
File menu: name of group for extra Import-like actions (value `"import.ext"`).
`static final String`
`LAUNCH_EXT`
Launch menu: name of group for launching additional windows.
`static final String`
`M_EDIT`
Name of standard Edit menu (value `"edit"`).
`static final String`
`M_FILE`
Name of standard File menu (value `"file"`).
`static final String`
`M_HELP`
Name of standard Help menu (value `"help"`).
`static final String`
`M_LAUNCH`
Name of Launch window menu (value `"launch"`).
`static final String`
`M_NAVIGATE`
Name of standard Navigate menu (value `"navigate"`).
`static final String`
`M_PERSPECTIVE`
Name of standard Perspective menu (value `"perspective"`).
`static final String`
`M_PROJECT`
Name of standard Project menu (value `"project"`).
`static final String`
`M_PROJECT_CONFIGURE`
ID of the Project configure popup menu, can be used in menuContributions and objectContributions.
`static final String`
`M_VIEW`
Deprecated.
Since 3.0.
`static final String`
`M_WINDOW`
Name of standard Window menu (value `"window"`).
`static final String`
`M_WORKBENCH`
Deprecated.
Since 3.0.
`static final String`
`MB_ADDITIONS`
Name of group for adding new top-level menus (value `"additions"`).
`static final String`
`MENU_PREFIX`
[Issue: MENU_PREFIX is "".
`static final String`
`MOVE`
Deprecated.
in 3.0.
`static final String`
`MRU`
File menu: name of "Most Recently Used File" group.
`static final String`
`NAV_END`
Navigate menu: name of group for end of menu (value `"navEnd"`).
`static final String`
`NAV_START`
Navigate menu: name of group for start of menu (value `"navStart"`).
`static final String`
`NEW`
Deprecated.
in 3.0.
`static final String`
`NEW_EXT`
File menu: name of group for extra New-like actions (value `"new.ext"`).
`static final String`
`NEW_GROUP`
Group id for new toolbar group.
`static final String`
`NEXT`
Deprecated.
in 3.0.
`static final String`
`OPEN_EXT`
File and Navigate menu: name of group for extra Open actions (value `"open.ext"`).
`static final String`
`OPEN_PROJECT`
Deprecated.
in 3.0.
`static final String`
`PASTE`
Deprecated.
in 3.0.
`static final String`
`PERSPECTIVE_END`
Perspective menu: name of group for end of menu (value `"perspectiveStartEnd"` ).
`static final String`
`PERSPECTIVE_START`
Perspective menu: name of group for start of menu (value `"perspectiveStart"`).
`static final String`
`PIN_GROUP`
Group id for pin toolbar group.
`static final String`
`PREVIOUS`
Deprecated.
in 3.0.
`static final String`
`PRINT`
Deprecated.
in 3.0.
`static final String`
`PRINT_EXT`
File menu: name of group for extra Print-like actions (value `"print.ext"`).
`static final String`
`PROJ_END`
Project menu: name of group for start of menu (value `"projEnd"`).
`static final String`
`PROJ_START`
Project menu: name of group for start of menu (value `"projStart"`).
`static final String`
`PROPERTIES`
Deprecated.
in 3.0.
`static final String`
`QUIT`
Deprecated.
in 3.0.
`static final String`
`REBUILD_ALL`
Deprecated.
in 3.0.
`static final String`
`REBUILD_PROJECT`
Deprecated.
in 3.0.
`static final String`
`REDO`
Deprecated.
in 3.0.
`static final String`
`REFRESH`
Deprecated.
in 3.0.
`static final String`
`RENAME`
Deprecated.
in 3.0.
`static final String`
`REVERT`
Deprecated.
in 3.0.
`static final String`
`SAVE`
Deprecated.
in 3.0.
`static final String`
`SAVE_ALL`
Deprecated.
in 3.0.
`static final String`
`SAVE_AS`
Deprecated.
in 3.0.
`static final String`
`SAVE_EXT`
File menu: name of group for extra Save-like actions (value `"save.ext"`).
`static final String`
`SAVE_GROUP`
Group id for save group.
`static final String`
`SELECT_ALL`
Deprecated.
in 3.0.
`static final String`
`SEP`
[Issue: SEP is "/".
`static final String`
`SHOW_EXT`
Navigate menu: name of group for extra Show actions (value `"show.ext"`).
`static final String`
`SHOW_IN`
Deprecated.
`static final String`
`SYNC_EDITOR`
Deprecated.
this action will be removed soon; use SHOW_IN instead
`static final String`
`TOOLBAR_EDIT`
Workbench toolbar id for edit toolbar group.
`static final String`
`TOOLBAR_FILE`
Workbench toolbar id for file toolbar group.
`static final String`
`TOOLBAR_HELP`
Workbench toolbar id for help toolbar group.
`static final String`
`TOOLBAR_NAVIGATE`
Workbench toolbar id for navigate toolbar group.
`static final String`
`UNDO`
Deprecated.
in 3.0.
`static final String`
`UNDO_EXT`
Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).
`static final String`
`UP`
Navigate menu: name of standard Up global action (value `"up"`).
`static final String`
`VIEW_EXT`
View menu: name of group for additional view-like items.
`static final String`
`WB_END`
Workbench menu: name of group for end of menu (value `"wbEnd"`).
`static final String`
`WB_START`
Workbench menu: name of group for start of menu (value `"wbStart"`).
`static final String`
`WINDOW_EXT`
Window menu: name of group for additional window-like items.

## Field Details

### MENU_PREFIX

static final String MENU_PREFIX

[Issue: MENU_PREFIX is "". It is used to prefix some of the other constants. There doesn't seem to be much point for this. Recommend deleting it. ]

See Also:
  - Constant Field Values

### SEP

static final String SEP

[Issue: SEP is "/". It is not used anywhere. Recommend deleting it.]

See Also:
  - Constant Field Values

### M_FILE

static final String M_FILE
Name of standard File menu (value `"file"`).

See Also:
  - Constant Field Values

### M_EDIT

static final String M_EDIT
Name of standard Edit menu (value `"edit"`).

See Also:
  - Constant Field Values

### M_VIEW

@Deprecated static final String M_VIEW
Deprecated.
Since 3.0. This is no longer used.
Name of standard View menu (value `"view"`).

See Also:
  - Constant Field Values

### M_WORKBENCH

@Deprecated static final String M_WORKBENCH
Deprecated.
Since 3.0. This is no longer used.
Name of standard Workbench menu (value `"workbench"`).

See Also:
  - Constant Field Values

### M_PERSPECTIVE

static final String M_PERSPECTIVE
Name of standard Perspective menu (value `"perspective"`).

Since:
  3.107
See Also:
  - Constant Field Values

### M_NAVIGATE

static final String M_NAVIGATE
Name of standard Navigate menu (value `"navigate"`).

See Also:
  - Constant Field Values

### M_PROJECT

static final String M_PROJECT
Name of standard Project menu (value `"project"`).

See Also:
  - Constant Field Values

### M_WINDOW

static final String M_WINDOW
Name of standard Window menu (value `"window"`).

See Also:
  - Constant Field Values

### M_LAUNCH

static final String M_LAUNCH
Name of Launch window menu (value `"launch"`).

See Also:
  - Constant Field Values

### M_HELP

static final String M_HELP
Name of standard Help menu (value `"help"`).

See Also:
  - Constant Field Values

### M_PROJECT_CONFIGURE

static final String M_PROJECT_CONFIGURE
ID of the Project configure popup menu, can be used in menuContributions and objectContributions.

Since:
  3.5
See Also:
  - Constant Field Values

### MB_ADDITIONS

static final String MB_ADDITIONS
Name of group for adding new top-level menus (value `"additions"`).

See Also:
  - Constant Field Values

### FILE_START

static final String FILE_START
File menu: name of group for start of menu (value `"fileStart"`).

See Also:
  - Constant Field Values

### FILE_END

static final String FILE_END
File menu: name of group for end of menu (value `"fileEnd"`).

See Also:
  - Constant Field Values

### NEW

@Deprecated static final String NEW
Deprecated.
in 3.0. Use `org.eclipse.ui.ActionFactory.NEW.getId()` instead.
File menu: name of standard New action (value `"new"`).

See Also:
  - Constant Field Values

### NEW_EXT

static final String NEW_EXT
File menu: name of group for extra New-like actions (value `"new.ext"`).

See Also:
  - Constant Field Values

### CLOSE

@Deprecated static final String CLOSE
Deprecated.
in 3.0. Use `ActionFactory.CLOSE.getId()` instead.
File menu: name of standard Close action (value `"close"`).

See Also:
  - Constant Field Values

### CLOSE_ALL

@Deprecated static final String CLOSE_ALL
Deprecated.
in 3.0. Use `ActionFactory.CLOSE_ALL.getId()` instead.
File menu: name of standard Close All action (value `"closeAll"`).

See Also:
  - Constant Field Values

### CLOSE_EXT

static final String CLOSE_EXT
File menu: name of group for extra Close-like actions (value `"close.ext"`).

See Also:
  - Constant Field Values

### SAVE

@Deprecated static final String SAVE
Deprecated.
in 3.0. Use `ActionFactory.SAVE.getId()` instead.
File menu: name of standard Save action (value `"save"`).

See Also:
  - Constant Field Values

### SAVE_AS

@Deprecated static final String SAVE_AS
Deprecated.
in 3.0. Use `ActionFactory.SAVE_AS.getId()` instead.
File menu: name of standard Save As action (value `"saveAs"`).

See Also:
  - Constant Field Values

### SAVE_ALL

@Deprecated static final String SAVE_ALL
Deprecated.
in 3.0. Use `ActionFactory.SAVE_ALL.getId()` instead.
File menu: name of standard Save All action (value `"saveAll"`).

See Also:
  - Constant Field Values

### SAVE_EXT

static final String SAVE_EXT
File menu: name of group for extra Save-like actions (value `"save.ext"`).

See Also:
  - Constant Field Values

### PRINT

@Deprecated static final String PRINT
Deprecated.
in 3.0. Use `ActionFactory.PRINT.getId()` instead.
File menu: name of standard Print global action (value `"print"`).

See Also:
  - Constant Field Values

### PRINT_EXT

static final String PRINT_EXT
File menu: name of group for extra Print-like actions (value `"print.ext"`).

Since:
  3.0
See Also:
  - Constant Field Values

### IMPORT

@Deprecated static final String IMPORT
Deprecated.
in 3.0. Use `org.eclipse.ui.ActionFactory.IMPORT.getId()` instead.
File menu: name of standard Import action (value `"import"`).

See Also:
  - Constant Field Values

### EXPORT

@Deprecated static final String EXPORT
Deprecated.
in 3.0. Use `org.eclipse.ui.ActionFactory.EXPORT.getId()` instead.
File menu: name of standard Export action (value `"export"`).

See Also:
  - Constant Field Values

### IMPORT_EXT

static final String IMPORT_EXT
File menu: name of group for extra Import-like actions (value `"import.ext"`).

See Also:
  - Constant Field Values

### MRU

static final String MRU
File menu: name of "Most Recently Used File" group. (value `"mru"`).

See Also:
  - Constant Field Values

### QUIT

@Deprecated static final String QUIT
Deprecated.
in 3.0. Use `ActionFactory.QUIT.getId()` instead.
File menu: name of standard Quit action (value `"quit"`).

See Also:
  - Constant Field Values

### EDIT_START

static final String EDIT_START
Edit menu: name of group for start of menu (value `"editStart"`).

See Also:
  - Constant Field Values

### EDIT_END

static final String EDIT_END
Edit menu: name of group for end of menu (value `"editEnd"`).

See Also:
  - Constant Field Values

### UNDO

@Deprecated static final String UNDO
Deprecated.
in 3.0. Use `ActionFactory.UNDO.getId()` instead.
Edit menu: name of standard Undo global action (value `"undo"`).

See Also:
  - Constant Field Values

### REDO

@Deprecated static final String REDO
Deprecated.
in 3.0. Use `ActionFactory.REDO.getId()` instead.
Edit menu: name of standard Redo global action (value `"redo"`).

See Also:
  - Constant Field Values

### UNDO_EXT

static final String UNDO_EXT
Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).

See Also:
  - Constant Field Values

### CUT

@Deprecated static final String CUT
Deprecated.
in 3.0. Use `ActionFactory.CUT.getId()` instead.
Edit menu: name of standard Cut global action (value `"cut"`).

See Also:
  - Constant Field Values

### COPY

@Deprecated static final String COPY
Deprecated.
in 3.0. Use `ActionFactory.COPY.getId()` instead.
Edit menu: name of standard Copy global action (value `"copy"`).

See Also:
  - Constant Field Values

### PASTE

@Deprecated static final String PASTE
Deprecated.
in 3.0. Use `ActionFactory.PASTE.getId()` instead.
Edit menu: name of standard Paste global action (value `"paste"`).

See Also:
  - Constant Field Values

### CUT_EXT

static final String CUT_EXT
Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).

See Also:
  - Constant Field Values

### DELETE

@Deprecated static final String DELETE
Deprecated.
in 3.0. Use `ActionFactory.DELETE.getId()` instead.
Edit menu: name of standard Delete global action (value `"delete"`).

See Also:
  - Constant Field Values

### FIND

@Deprecated static final String FIND
Deprecated.
in 3.0. Use `ActionFactory.FIND.getId()` instead.
Edit menu: name of standard Find global action (value `"find"`).

See Also:
  - Constant Field Values

### FIND_EXT

static final String FIND_EXT
Edit menu: name of group for extra Find-like actions (value `"find.ext"`).

See Also:
  - Constant Field Values

### SELECT_ALL

@Deprecated static final String SELECT_ALL
Deprecated.
in 3.0. Use `ActionFactory.SELECT_ALL.getId()` instead.
Edit menu: name of standard Select All global action (value `"selectAll"`).

See Also:
  - Constant Field Values

### BOOKMARK

@Deprecated static final String BOOKMARK
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BOOKMARK.getId()` instead.
Edit menu: name of standard Add Bookmark global action (value `"bookmark"`).

See Also:
  - Constant Field Values

### ADD_TASK

@Deprecated static final String ADD_TASK
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.ADD_TASK.getId()` instead.
Edit menu: name of standard Add Task global action (value `"addTask"`).

See Also:
  - Constant Field Values

### ADD_EXT

static final String ADD_EXT
Edit menu: name of group for extra Add-like actions (value `"add.ext"`).

See Also:
  - Constant Field Values

### WB_START

static final String WB_START
Workbench menu: name of group for start of menu (value `"wbStart"`).

See Also:
  - Constant Field Values

### WB_END

static final String WB_END
Workbench menu: name of group for end of menu (value `"wbEnd"`).

See Also:
  - Constant Field Values

### BUILD_EXT

static final String BUILD_EXT
Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).

See Also:
  - Constant Field Values

### BUILD

@Deprecated static final String BUILD
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BUILD.getId()` instead.
Workbench menu: name of standard Build action (value `"build"`).

See Also:
  - Constant Field Values

### REBUILD_ALL

@Deprecated static final String REBUILD_ALL
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.REBUILD_ALL.getId()` instead.
Workbench menu: name of standard Rebuild All action (value `"rebuildAll"`).

See Also:
  - Constant Field Values

### TOOLBAR_FILE

static final String TOOLBAR_FILE
Workbench toolbar id for file toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### TOOLBAR_EDIT

static final String TOOLBAR_EDIT
Workbench toolbar id for edit toolbar group.

Since:
  3.111
See Also:
  - Constant Field Values

### TOOLBAR_NAVIGATE

static final String TOOLBAR_NAVIGATE
Workbench toolbar id for navigate toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### TOOLBAR_HELP

static final String TOOLBAR_HELP
Workbench toolbar id for help toolbar group.

Since:
  3.1
See Also:
  - Constant Field Values

### PIN_GROUP

static final String PIN_GROUP
Group id for pin toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### HISTORY_GROUP

static final String HISTORY_GROUP
Group id for history toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### NEW_GROUP

static final String NEW_GROUP
Group id for new toolbar group.

Since:
  2.1
See Also:
  - Constant Field Values

### SAVE_GROUP

static final String SAVE_GROUP
Group id for save group.

Since:
  2.1
See Also:
  - Constant Field Values

### EDIT_GROUP

static final String EDIT_GROUP
Group id for build group.

Since:
  3.111
See Also:
  - Constant Field Values

### BUILD_GROUP

static final String BUILD_GROUP
Group id for build group.

Since:
  2.1
See Also:
  - Constant Field Values

### GROUP_MANAGING

static final String GROUP_MANAGING
Pop-up menu: name of group for Managing actions (value `"group.managing"`).

See Also:
  - Constant Field Values

### GROUP_REORGANIZE

static final String GROUP_REORGANIZE
Pop-up menu: name of group for Reorganize actions (value `"group.reorganize"`).

See Also:
  - Constant Field Values

### GROUP_ADD

static final String GROUP_ADD
Pop-up menu: name of group for Add actions (value `"group.add"`).

See Also:
  - Constant Field Values

### GROUP_FILE

static final String GROUP_FILE
Pop-up menu: name of group for File actions (value `"group.file"`).

See Also:
  - Constant Field Values

### GROUP_SHOW_IN

static final String GROUP_SHOW_IN
Pop-up menu: name of group for Show In actions (value `"group.showIn"`).

Since:
  2.1
See Also:
  - Constant Field Values

### GROUP_APP

static final String GROUP_APP
Coolbar: name of group for application created actions

Since:
  3.0
See Also:
  - Constant Field Values

### GROUP_EDITOR

static final String GROUP_EDITOR
Toolbar: name of group for editor action bars.

See Also:
  - Constant Field Values

### GROUP_HELP

static final String GROUP_HELP
Coolbar: name of group for help actions and contributions

Since:
  3.1
See Also:
  - Constant Field Values

### VIEW_EXT

static final String VIEW_EXT
View menu: name of group for additional view-like items. (value `"additions"`).

See Also:
  - Constant Field Values

### WINDOW_EXT

static final String WINDOW_EXT
Window menu: name of group for additional window-like items. (value `"additions"`).

See Also:
  - Constant Field Values

### LAUNCH_EXT

static final String LAUNCH_EXT
Launch menu: name of group for launching additional windows. (value `"additions"`).

See Also:
  - Constant Field Values

### REVERT

@Deprecated static final String REVERT
Deprecated.
in 3.0. Use `ActionFactory.REVERT.getId()` instead.
File menu: name of standard Revert global action (value `"revert"`).

See Also:
  - Constant Field Values

### REFRESH

@Deprecated static final String REFRESH
Deprecated.
in 3.0. Use `ActionFactory.REFRESH.getId()` instead.
File menu: name of standard Refresh global action (value `"refresh"`).

See Also:
  - Constant Field Values

### PROPERTIES

@Deprecated static final String PROPERTIES
Deprecated.
in 3.0. Use `ActionFactory.PROPERTIES.getId()` instead.
File menu: name of standard Properties global action (value `"properties"`).

See Also:
  - Constant Field Values

### MOVE

@Deprecated static final String MOVE
Deprecated.
in 3.0. Use `ActionFactory.MOVE.getId()` instead.
Edit menu: name of standard Move global action (value `"move"`).

See Also:
  - Constant Field Values

### RENAME

@Deprecated static final String RENAME
Deprecated.
in 3.0. Use `ActionFactory.RENAME.getId()` instead.
Edit menu: name of standard Rename global action (value `"rename"`).

See Also:
  - Constant Field Values

### PERSPECTIVE_START

static final String PERSPECTIVE_START
Perspective menu: name of group for start of menu (value `"perspectiveStart"`).

Since:
  3.107
See Also:
  - Constant Field Values

### PERSPECTIVE_END

static final String PERSPECTIVE_END
Perspective menu: name of group for end of menu (value `"perspectiveStartEnd"` ).

Since:
  3.107
See Also:
  - Constant Field Values

### NAV_START

static final String NAV_START
Navigate menu: name of group for start of menu (value `"navStart"`).

See Also:
  - Constant Field Values

### NAV_END

static final String NAV_END
Navigate menu: name of group for end of menu (value `"navEnd"`).

See Also:
  - Constant Field Values

### OPEN_EXT

static final String OPEN_EXT
File and Navigate menu: name of group for extra Open actions (value `"open.ext"`).

See Also:
  - Constant Field Values

### SHOW_EXT

static final String SHOW_EXT
Navigate menu: name of group for extra Show actions (value `"show.ext"`).

See Also:
  - Constant Field Values

### GO_INTO

static final String GO_INTO
Navigate menu: name of standard Go Into global action (value `"goInto"`).

See Also:
  - Constant Field Values

### GO_TO

static final String GO_TO
Navigate menu: name of standard Go To submenu (value `"goTo"`).

See Also:
  - Constant Field Values

### GO_TO_RESOURCE

static final String GO_TO_RESOURCE
Navigate menu: name of standard Go To Resource global action (value `"goToResource"`).

See Also:
  - Constant Field Values

### SYNC_EDITOR

@Deprecated static final String SYNC_EDITOR
Deprecated.
this action will be removed soon; use SHOW_IN instead
Navigate menu: name of standard Sync With Editor global action (value `"syncEditor"`).

See Also:
  - Constant Field Values

### SHOW_IN

@Deprecated static final String SHOW_IN
Deprecated.
Navigate menu: name of standard Show In... action (value `"showIn"`).

Since:
  2.1
See Also:
  - Constant Field Values

### BACK

@Deprecated static final String BACK
Deprecated.
in 3.0. Use `ActionFactory.BACK.getId()` instead.
Navigate menu: name of standard Back global action (value `"back"`).

See Also:
  - Constant Field Values

### FORWARD

@Deprecated static final String FORWARD
Deprecated.
in 3.0. Use `ActionFactory.FORWARD.getId()` instead.
Navigate menu: name of standard Forward global action (value `"forward"`).

See Also:
  - Constant Field Values

### UP

static final String UP
Navigate menu: name of standard Up global action (value `"up"`).

See Also:
  - Constant Field Values

### NEXT

@Deprecated static final String NEXT
Deprecated.
in 3.0. Use `ActionFactory.NEXT.getId()` instead.
Navigate menu: name of standard Next global action (value `"next"`).

See Also:
  - Constant Field Values

### PREVIOUS

@Deprecated static final String PREVIOUS
Deprecated.
in 3.0. Use `ActionFactory.PREVIOUS.getId()` instead.
Navigate menu: name of standard Up global action (value `"previous"`).

See Also:
  - Constant Field Values

### PROJ_START

static final String PROJ_START
Project menu: name of group for start of menu (value `"projStart"`).

See Also:
  - Constant Field Values

### PROJ_END

static final String PROJ_END
Project menu: name of group for start of menu (value `"projEnd"`).

See Also:
  - Constant Field Values

### BUILD_PROJECT

@Deprecated static final String BUILD_PROJECT
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BUILD_PROJECT.getId()` instead.
Project menu: name of standard Build Project global action (value `"buildProject"`).

See Also:
  - Constant Field Values

### REBUILD_PROJECT

@Deprecated static final String REBUILD_PROJECT
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.REBUILD_PROJECT.getId()` instead.
Project menu: name of standard Rebuild Project global action (value `"rebuildProject"`).

See Also:
  - Constant Field Values

### OPEN_PROJECT

@Deprecated static final String OPEN_PROJECT
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.OPEN_PROJECT.getId()` instead.
Project menu: name of standard Open Project global action (value `"openProject"`).

See Also:
  - Constant Field Values

### CLOSE_PROJECT

@Deprecated static final String CLOSE_PROJECT
Deprecated.
in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.CLOSE_PROJECT.getId()` instead.
Project menu: name of standard Close Project global action (value `"closeProject"`).

See Also:
  - Constant Field Values

### HELP_START

static final String HELP_START
Help menu: name of group for start of menu (value `"helpStart"`).

See Also:
  - Constant Field Values

### HELP_END

static final String HELP_END
Help menu: name of group for end of menu (value `"helpEnd"`).

See Also:
  - Constant Field Values

### ABOUT

@Deprecated static final String ABOUT
Deprecated.
in 3.0. Use `ActionFactory.ABOUT.getId()` instead.
Help menu: name of standard About action (value `"about"`).

See Also:
  - Constant Field Values

### GLOBAL_ACTIONS

@Deprecated static final String[] GLOBAL_ACTIONS
Deprecated.
in 3.0
Standard global actions in a workbench window.